EDIT - feature request #7770

E+M: Handle extensions like "postulated parental species" in data portal
09/18/2018 03:37 PM - Andreas Mdller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Euro+Med Portal Release

Severity: normal

Description

for details see #7769.
Postulated parental species are now implemented as TaxonBase Extensions of ExtensionType "postulated parental species".
They should appear in brackets behind the taxon. We need to distinguish ExtensionTypes that should be shown on the portal and
those not to be shown.
An additional feature for extension types could be, to decide, where to show them. E.g.

e don't show

¢ show as footnote

¢ show behind taxon (only for taxon and name extensions)

TODO:

¢ in occurrences.inc: line 740 ff. see TODO: filter by using visible_extensions_sorted()

AM:
diese coll. Species haben i.d.R. keinen Autor, oder? Also ein Platzproblem bekommt man dadurch nicht?
ERS:

nein, die haben keinen Autor. Platz sollte daher nicht so ein Problem sein. Allerdings gibt es bis zu vier "postulated parental species",
das sieht vielleicht etwas komisch aus. Misste man sich mal ansehen.

AM:

ist zu erwarten, dass die nur an akzeptierten Namen hangen oder gibt es auch Synonymfalle. Ich wirde ja nur ersteres erwarten,
aber wer weif3.

ERS:
bisher nur an akzeptierten. Theoretisch denkbar, dass spater jemand die als Synonyme betrachten will, aber dann wird das Konzept

der coll. species eigentlich hinfallig. Als Synonyme sind sie sinnlos, nur die unter ihnen stehenden Arten kénnte man als Synonyme
einer akzeptierten Art fassen, die unter einer anderen akzeptierten coll. species steht. Also eher: nein.

Related issues:
Follows EDIT - feature request #7769: E+M: Handle postulated parental species... Resolved

Associated revisions

Revision 75c1da8e - 05/28/2020 08:29 AM - Andreas Kohlbecker

ref #7770, ref #9034 settings to choose visible extension types
https://dev.e-taxonomy.eu/redmine/issues/7769

Revision db9c6559 - 05/28/2020 09:34 AM - Andreas Kohlbecker

ref #7770, ref #9034 fix settings to choose visible extension types, filter method for chosen extensions

History

#1 - 09/18/2018 03:37 PM - Andreas Miiller
- Due date set to 09/19/2018
- Start date changed from 09/18/2018 to 09/19/2018

- Follows feature request #7769: E+M: Handle postulated parental species as taxon extensions added

#2 - 09/18/2018 03:37 PM - Andreas Miuller
- Due date deleted (09/19/2018)

#3 - 09/18/2018 04:18 PM - Andreas Miuller

- Description updated

#4 - 05/28/2020 09:32 AM - Andreas Kohlbecker

- Description updated
